<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tower Attack: CHeavy Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tower Attack
   </div>
   <div id="projectbrief">A simple console game</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classCHeavy-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">CHeavy Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>HEAVY 20% chance of blocking all attacks 10% chance of damage to attacker when hit.  
 <a href="classCHeavy.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="towers_8h_source.html">towers.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for CHeavy:</div>
<div class="dyncontent">
<div class="center"><img src="classCHeavy__inherit__graph.png" border="0" usemap="#CHeavy_inherit__map" alt="Inheritance graph"/></div>
<map name="CHeavy_inherit__map" id="CHeavy_inherit__map">
<area shape="rect" id="node2" href="classCTower.html" title="Tower is one of the main game objects, it can attack and defend itself from other attackers..." alt="" coords="7,80,75,107"/>
<area shape="rect" id="node3" href="classCEntity.html" title="Abstract class, used to store entities to map. " alt="" coords="7,5,74,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for CHeavy:</div>
<div class="dyncontent">
<div class="center"><img src="classCHeavy__coll__graph.png" border="0" usemap="#CHeavy_coll__map" alt="Collaboration graph"/></div>
<map name="CHeavy_coll__map" id="CHeavy_coll__map">
<area shape="rect" id="node2" href="classCTower.html" title="Tower is one of the main game objects, it can attack and defend itself from other attackers..." alt="" coords="50,95,118,121"/>
<area shape="rect" id="node3" href="classCEntity.html" title="Abstract class, used to store entities to map. " alt="" coords="5,5,72,32"/>
<area shape="rect" id="node4" href="structTCoord.html" title="Coordinates, row and col. " alt="" coords="97,5,162,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab3457e7048fbdbd90b61bd90682e5b25"><td class="memItemLeft" align="right" valign="top"><a id="ab3457e7048fbdbd90b61bd90682e5b25"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>CHeavy</b> (char symbol, const string &amp;name, int hp, int <a class="el" href="classCHeavy.html#a3b2fe70331aa648035c8a80a7f791647">attack</a>, int range, int parentID)</td></tr>
<tr class="separator:ab3457e7048fbdbd90b61bd90682e5b25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1490ec5f36b203be4c348bdd2e1842f"><td class="memItemLeft" align="right" valign="top"><a id="aa1490ec5f36b203be4c348bdd2e1842f"></a>
<a class="el" href="classCTower.html">CTower</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>clone</b> () const override</td></tr>
<tr class="separator:aa1490ec5f36b203be4c348bdd2e1842f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b2fe70331aa648035c8a80a7f791647"><td class="memItemLeft" align="right" valign="top"><a id="a3b2fe70331aa648035c8a80a7f791647"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCHeavy.html#a3b2fe70331aa648035c8a80a7f791647">attack</a> (<a class="el" href="classCAttacker.html">CAttacker</a> &amp;dst) override</td></tr>
<tr class="memdesc:a3b2fe70331aa648035c8a80a7f791647"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clones this object. <br /></td></tr>
<tr class="separator:a3b2fe70331aa648035c8a80a7f791647"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0b1363684f510a1f0a735743cd00d38"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCHeavy.html#aa0b1363684f510a1f0a735743cd00d38">defend</a> (<a class="el" href="classCAttacker.html">CAttacker</a> &amp;src) override</td></tr>
<tr class="memdesc:aa0b1363684f510a1f0a735743cd00d38"><td class="mdescLeft">&#160;</td><td class="mdescRight">Attacks dst.  <a href="#aa0b1363684f510a1f0a735743cd00d38">More...</a><br /></td></tr>
<tr class="separator:aa0b1363684f510a1f0a735743cd00d38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa40d8a34f4b6b402bf12b483f444c6d0"><td class="memItemLeft" align="right" valign="top"><a id="aa40d8a34f4b6b402bf12b483f444c6d0"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCHeavy.html#aa40d8a34f4b6b402bf12b483f444c6d0">printDetails</a> (ostream &amp;os) const override</td></tr>
<tr class="memdesc:aa40d8a34f4b6b402bf12b483f444c6d0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints heavy's details. <br /></td></tr>
<tr class="separator:aa40d8a34f4b6b402bf12b483f444c6d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf4ef6582f00d787290e6cbfe8f7452b"><td class="memItemLeft" align="right" valign="top"><a id="aaf4ef6582f00d787290e6cbfe8f7452b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCHeavy.html#aaf4ef6582f00d787290e6cbfe8f7452b">print</a> (ostream &amp;os) const override</td></tr>
<tr class="memdesc:aaf4ef6582f00d787290e6cbfe8f7452b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints heavy's symbol. <br /></td></tr>
<tr class="separator:aaf4ef6582f00d787290e6cbfe8f7452b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classCTower"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classCTower')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classCTower.html">CTower</a></td></tr>
<tr class="memitem:a8634f96b7e6985fac9ef1d3dbea46651 inherit pub_methods_classCTower"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCTower.html#a8634f96b7e6985fac9ef1d3dbea46651">CTower</a> (char symbol, const string &amp;name, int hp, int <a class="el" href="classCTower.html#a28666cdfbf94e1b025e2fe85595d9d96">attack</a>, int range, int parentID)</td></tr>
<tr class="memdesc:a8634f96b7e6985fac9ef1d3dbea46651 inherit pub_methods_classCTower"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tower constructor, sets member variables.  <a href="classCTower.html#a8634f96b7e6985fac9ef1d3dbea46651">More...</a><br /></td></tr>
<tr class="separator:a8634f96b7e6985fac9ef1d3dbea46651 inherit pub_methods_classCTower"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6fce3e9fc4c2c3b57c0a8be35f6c055 inherit pub_methods_classCTower"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCTower.html#ab6fce3e9fc4c2c3b57c0a8be35f6c055">save</a> (ofstream &amp;ofs) const</td></tr>
<tr class="memdesc:ab6fce3e9fc4c2c3b57c0a8be35f6c055 inherit pub_methods_classCTower"><td class="mdescLeft">&#160;</td><td class="mdescRight">Save tower to stream given by parameter.  <a href="classCTower.html#ab6fce3e9fc4c2c3b57c0a8be35f6c055">More...</a><br /></td></tr>
<tr class="separator:ab6fce3e9fc4c2c3b57c0a8be35f6c055 inherit pub_methods_classCTower"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0fefddb0e945dde74c48a5aff1a15e4 inherit pub_methods_classCTower"><td class="memItemLeft" align="right" valign="top"><a id="ac0fefddb0e945dde74c48a5aff1a15e4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setPos</b> (<a class="el" href="structTCoord.html">TCoord</a> pos)</td></tr>
<tr class="separator:ac0fefddb0e945dde74c48a5aff1a15e4 inherit pub_methods_classCTower"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a682eee406b527e183153ca7b9ef74301 inherit pub_methods_classCTower"><td class="memItemLeft" align="right" valign="top"><a id="a682eee406b527e183153ca7b9ef74301"></a>
<a class="el" href="structTCoord.html">TCoord</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCTower.html#a682eee406b527e183153ca7b9ef74301">position</a> () const</td></tr>
<tr class="memdesc:a682eee406b527e183153ca7b9ef74301 inherit pub_methods_classCTower"><td class="mdescLeft">&#160;</td><td class="mdescRight">setter for position of the tower <br /></td></tr>
<tr class="separator:a682eee406b527e183153ca7b9ef74301 inherit pub_methods_classCTower"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af75495fa398d62acb73f336de801c402 inherit pub_methods_classCTower"><td class="memItemLeft" align="right" valign="top"><a id="af75495fa398d62acb73f336de801c402"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCTower.html#af75495fa398d62acb73f336de801c402">getHp</a> () const</td></tr>
<tr class="memdesc:af75495fa398d62acb73f336de801c402 inherit pub_methods_classCTower"><td class="mdescLeft">&#160;</td><td class="mdescRight">getter for position of the tower <br /></td></tr>
<tr class="separator:af75495fa398d62acb73f336de801c402 inherit pub_methods_classCTower"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19b4b2e8b3bee08db6c8c206a8616653 inherit pub_methods_classCTower"><td class="memItemLeft" align="right" valign="top"><a id="a19b4b2e8b3bee08db6c8c206a8616653"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCTower.html#a19b4b2e8b3bee08db6c8c206a8616653">setHp</a> (int hp)</td></tr>
<tr class="memdesc:a19b4b2e8b3bee08db6c8c206a8616653 inherit pub_methods_classCTower"><td class="mdescLeft">&#160;</td><td class="mdescRight">getter for health <br /></td></tr>
<tr class="separator:a19b4b2e8b3bee08db6c8c206a8616653 inherit pub_methods_classCTower"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a937738b2359258a5bc50105e51fddb1c inherit pub_methods_classCTower"><td class="memItemLeft" align="right" valign="top"><a id="a937738b2359258a5bc50105e51fddb1c"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCTower.html#a937738b2359258a5bc50105e51fddb1c">defend</a> (<a class="el" href="classCWarrior.html">CWarrior</a> &amp;src)</td></tr>
<tr class="memdesc:a937738b2359258a5bc50105e51fddb1c inherit pub_methods_classCTower"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default defend method against warrior. <br /></td></tr>
<tr class="separator:a937738b2359258a5bc50105e51fddb1c inherit pub_methods_classCTower"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c7921a4507c8e9926f6ca5100df7a56 inherit pub_methods_classCTower"><td class="memItemLeft" align="right" valign="top"><a id="a0c7921a4507c8e9926f6ca5100df7a56"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>getAttack</b> () const</td></tr>
<tr class="separator:a0c7921a4507c8e9926f6ca5100df7a56 inherit pub_methods_classCTower"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a205833c18de6141f52342426bf0f0fbd inherit pub_methods_classCTower"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCTower.html#a205833c18de6141f52342426bf0f0fbd">hasInRange</a> (const <a class="el" href="structTCoord.html">TCoord</a> &amp;src) const</td></tr>
<tr class="memdesc:a205833c18de6141f52342426bf0f0fbd inherit pub_methods_classCTower"><td class="mdescLeft">&#160;</td><td class="mdescRight">getter for attack strength  <a href="classCTower.html#a205833c18de6141f52342426bf0f0fbd">More...</a><br /></td></tr>
<tr class="separator:a205833c18de6141f52342426bf0f0fbd inherit pub_methods_classCTower"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classCEntity"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classCEntity')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classCEntity.html">CEntity</a></td></tr>
<tr class="memitem:a9ab2d129368e2d3acfec883129439e1c inherit pub_methods_classCEntity"><td class="memItemLeft" align="right" valign="top"><a id="a9ab2d129368e2d3acfec883129439e1c"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCEntity.html#a9ab2d129368e2d3acfec883129439e1c">discover</a> () const</td></tr>
<tr class="memdesc:a9ab2d129368e2d3acfec883129439e1c inherit pub_methods_classCEntity"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether the field is discoverable ( if it's either free space or path ) <br /></td></tr>
<tr class="separator:a9ab2d129368e2d3acfec883129439e1c inherit pub_methods_classCEntity"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bedcc5d44f5b4a65d8abd8bc7766588 inherit pub_methods_classCEntity"><td class="memItemLeft" align="right" valign="top"><a id="a5bedcc5d44f5b4a65d8abd8bc7766588"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCEntity.html#a5bedcc5d44f5b4a65d8abd8bc7766588">isPath</a> () const</td></tr>
<tr class="memdesc:a5bedcc5d44f5b4a65d8abd8bc7766588 inherit pub_methods_classCEntity"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints the object ( it's symbol ) <br /></td></tr>
<tr class="separator:a5bedcc5d44f5b4a65d8abd8bc7766588 inherit pub_methods_classCEntity"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a833f1423fd7e0f2096517b100c44db72 inherit pub_methods_classCEntity"><td class="memItemLeft" align="right" valign="top"><a id="a833f1423fd7e0f2096517b100c44db72"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCEntity.html#a833f1423fd7e0f2096517b100c44db72">~CEntity</a> ()=default</td></tr>
<tr class="memdesc:a833f1423fd7e0f2096517b100c44db72 inherit pub_methods_classCEntity"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether the field is path or not. <br /></td></tr>
<tr class="separator:a833f1423fd7e0f2096517b100c44db72 inherit pub_methods_classCEntity"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a4a8c69c7566063b430c956e0b5e0df7a"><td class="memItemLeft" align="right" valign="top"><a id="a4a8c69c7566063b430c956e0b5e0df7a"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>m_blockingChance</b></td></tr>
<tr class="separator:a4a8c69c7566063b430c956e0b5e0df7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac21e87f06f4584d429df7c7b5003899e"><td class="memItemLeft" align="right" valign="top"><a id="ac21e87f06f4584d429df7c7b5003899e"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>m_attackChance</b></td></tr>
<tr class="separator:ac21e87f06f4584d429df7c7b5003899e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classCTower"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classCTower')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classCTower.html">CTower</a></td></tr>
<tr class="memitem:a9354f89fd0276ad86e44634043fcb9ea inherit pro_attribs_classCTower"><td class="memItemLeft" align="right" valign="top"><a id="a9354f89fd0276ad86e44634043fcb9ea"></a>
<a class="el" href="structTCoord.html">TCoord</a>&#160;</td><td class="memItemRight" valign="bottom"><b>m_pos</b></td></tr>
<tr class="separator:a9354f89fd0276ad86e44634043fcb9ea inherit pro_attribs_classCTower"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa9e4a1953f67cdfb457bc36200fd945 inherit pro_attribs_classCTower"><td class="memItemLeft" align="right" valign="top"><a id="afa9e4a1953f67cdfb457bc36200fd945"></a>
char&#160;</td><td class="memItemRight" valign="bottom"><b>m_symbol</b></td></tr>
<tr class="separator:afa9e4a1953f67cdfb457bc36200fd945 inherit pro_attribs_classCTower"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c68c17a668a9a84446af629a74c98e6 inherit pro_attribs_classCTower"><td class="memItemLeft" align="right" valign="top"><a id="a5c68c17a668a9a84446af629a74c98e6"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>m_name</b></td></tr>
<tr class="separator:a5c68c17a668a9a84446af629a74c98e6 inherit pro_attribs_classCTower"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15f299f53faf60c5454e093e6d30d219 inherit pro_attribs_classCTower"><td class="memItemLeft" align="right" valign="top"><a id="a15f299f53faf60c5454e093e6d30d219"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>m_hp</b></td></tr>
<tr class="separator:a15f299f53faf60c5454e093e6d30d219 inherit pro_attribs_classCTower"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9280c41f5510c939b0acac1bbfe5c88a inherit pro_attribs_classCTower"><td class="memItemLeft" align="right" valign="top"><a id="a9280c41f5510c939b0acac1bbfe5c88a"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>m_attack</b></td></tr>
<tr class="separator:a9280c41f5510c939b0acac1bbfe5c88a inherit pro_attribs_classCTower"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a021cb7062d04e72bf0854e9a04182e6a inherit pro_attribs_classCTower"><td class="memItemLeft" align="right" valign="top"><a id="a021cb7062d04e72bf0854e9a04182e6a"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>m_range</b></td></tr>
<tr class="separator:a021cb7062d04e72bf0854e9a04182e6a inherit pro_attribs_classCTower"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8635278c126334397380af3026d6f8a3 inherit pro_attribs_classCTower"><td class="memItemLeft" align="right" valign="top"><a id="a8635278c126334397380af3026d6f8a3"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>m_parentID</b></td></tr>
<tr class="separator:a8635278c126334397380af3026d6f8a3 inherit pro_attribs_classCTower"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>HEAVY 20% chance of blocking all attacks 10% chance of damage to attacker when hit. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="aa0b1363684f510a1f0a735743cd00d38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0b1363684f510a1f0a735743cd00d38">&#9670;&nbsp;</a></span>defend()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CHeavy::defend </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCAttacker.html">CAttacker</a> &amp;&#160;</td>
          <td class="paramname"><em>src</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Attacks dst. </p>
<p>Heavy's defend against all attackers sometimes, attack can be blocked and sometimes heavy can hit back.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">src</td><td></td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classCTower.html#ad0ec399abc6a105f4e2743d65cb5d09c">CTower</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="towers_8h_source.html">towers.h</a></li>
<li>towers.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
